AntiFeatures:
  - NonFreeNet
Categories:
  - Multimedia
  - Writing
License: GPL-3.0-only
WebSite: https://helio.fm
SourceCode: https://github.com/helio-fm/helio-workstation
IssueTracker: https://github.com/helio-fm/helio-workstation/issues
Changelog: https://github.com/helio-fm/helio-workstation/blob/develop/CHANGELOG.md
Donate: https://github.com/helio-fm/helio-workstation#support-the-project

AutoName: Helio
Description: |-
    Most of the DAW interfaces often seem overcomplicated,
    and they only tend to get more and more bloated over time.
    Many of them are commercial, proprietary-licensed and almost none
    of them support all major operating systems at the same time.

    Helio is an attempt to rethink a music sequencer to create a
    tool that feels right.

    It aims to be a modern music creation software,
    featuring linear-based/pattern-based sequencer with clean UI,
    integrated version control for synchronizing project between
    devices, microtonal temperaments support, small portable builds
    and more; mainly targeted at hobbyist composers, game developers
    and indie artists.

RepoType: git
Repo: https://github.com/helio-fm/helio-workstation

Builds:
  - versionName: '3.4'
    versionCode: 34
    commit: '3.4'
    subdir: Projects/Android/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/release_/release/app-release_-release-unsigned.apk
    prebuild: sed -i 's/21\.3\.6528147/22.0.7026061/g' build.gradle
    scandelete:
      - .
    ndk: r22

  - versionName: '3.5'
    versionCode: 35
    commit: '3.5'
    subdir: Projects/Android/app
    submodules: true
    gradle:
      - yes
    output: build/outputs/apk/release_/release/app-release_-release-unsigned.apk
    prebuild: sed -i 's/21\.3\.6528147/22.1.7171670/g' build.gradle
    scandelete:
      - .
    ndk: r22b

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: '3.5'
CurrentVersionCode: 35
